.image-comparison-slider {
  --image-comparison-slider-width: 960px;
  --image-comparison-slider-height: 410px;

  position: relative;
  width: var(--image-comparison-slider-width);
  height: var(--image-comparison-slider-height);
  overflow: hidden;
  top: 0px;
  left: 0px;
  border-radius: 8px;

  img {
    display: block;
    width: var(--image-comparison-slider-width);
    height: var(--image-comparison-slider-height);

    border-radius: 0;

    max-width: unset;

    user-select: none;
  }

  .image-comparison-slider-overlay {
    position: absolute;
    overflow: hidden;
    z-index: 8;

    top: 0;
    bottom: 0;
    left: 0;
    right: calc(var(--image-comparison-slider-width) / 2);
  }

  .image-comparison-slider-static {
    position: absolute;
    overflow: hidden;
    z-index: 7;

    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
  }

  .image-comparison-slider-slider {
    position: absolute;
    cursor: ew-resize;
    z-index: 9;

    top: 0;
    bottom: 0;
    left: calc(50% - 8px);
    width: 16px;

    .image-comparison-slider-slider-inner {
      margin: 0 6px;
      height: var(--image-comparison-slider-height);
      width: 4px;

      background-color: black;
    }
  }
}
